clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::TweakArgs Struct Reference

Arguments for the 'applyTweak' command. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::TweakArgs:
[legend]

## Public Attributes
URIForFile | file
| A file provided by the client on a textDocument/codeAction request. More...
Range | selection
| A selection provided by the client on a textDocument/codeAction request. More...
std::string | tweakID
| ID of the tweak that should be executed. Corresponds to Tweak::id(). More...

## Detailed Description

Arguments for the 'applyTweak' command.

The server sends these commands as a response to the textDocument/codeAction request. The client can later send a command back to the server if the user requests to execute a particular code tweak.

Definition at line 727 of file Protocol.h.

## Member Data Documentation

## ◆ file

URIForFile clang::clangd::TweakArgs::file

A file provided by the client on a textDocument/codeAction request.

Definition at line 729 of file Protocol.h.

## ◆ selection

Range clang::clangd::TweakArgs::selection

A selection provided by the client on a textDocument/codeAction request.

Definition at line 731 of file Protocol.h.

## ◆ tweakID

std::string clang::clangd::TweakArgs::tweakID

ID of the tweak that should be executed. Corresponds to Tweak::id().

Definition at line 733 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h